Disk quotas

You use disk quotas to monitor and limit disk space use on NTFS volumes.

  • Before setting up disk quotas, see Checklist: Setting up disk quotas.
  • For a list of best practices for disk quotas, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklist: Setting up disk quotas

Step | Reference
Review key concepts. | Disk quotas overview
Confirm that you are a member of the Administrators group. | Default local groups
Enable disk quotas. | To enable disk quotas
Set disk quotas for an NTFS volume. | To assign default quota values


Best practices

Apply appropriate disk quota limits

  • Apply disk quota limits according to realistic disk space requirements for your users. Start by classifying users by the amount of disk space that you anticipate they will require (for example, users who work with scanned photographs or artwork may require a large amount of disk space). Next, structure your volumes by those classes, and then use disk quotas to limit the amount of disk space allowed for the users on each volume.

    Ensure that you have enough disk space to accommodate both existing users and future additions. Each file stored on the volume can use up to 64 kilobytes (KB) of NTFS metadata that is not applied to a user's quota limit. To avoid running out of disk space, ensure that there is sufficient disk space to accommodate this metadata.

Set default limits

  • Set moderately restrictive default limits for all user accounts, and then modify the limits to allow more disk space to users who work with large files. It may be better to increase disk quota limits for a few user accounts than to force some users to work with a quota limit that does not meet their needs. User Policies occupy at least 2 megabytes (MB) of disk space, so you should set the default limits for all user accounts above 2 MB.

Allow for growth

  • Set quota limits at a level that will allow for growth in disk space use. When quota increases are warranted, increase them by a percentage of the current quota setting.

Delete users' quota entries

  • When a user no longer needs the use of a particular volume (for example, when he or she leaves the company), delete the user's quota entry for that volume and then delete, move, or take ownership of any files that the user owns. This helps you eliminate the use of volume space by unneeded files.

Limit installation to administrators

  • If you enable disk quota settings on the same volume where the Windows operating system and other programs are installed, it is important that the user accounts that are used to install programs and Windows components have a sufficiently high disk quota. You can ensure this in one of two ways:
    • Install all programs and Windows components using the local Administrator account. This account has no quota limit.
    • Configure the disk quota to unlimited (do not limit disk usage) or to a sufficiently large amount of disk space for the user accounts that you use to install programs and Windows components.


How to...

  • Manage disk quotas
  • Manage disk quota entries


Manage disk quotas

  • View disk quota settings
  • Enable disk quotas
  • Disable disk quotas
  • Deny disk space to users who exceed their limit
  • Assign default quota values
  • Manage disk quotas on a remote computer


View disk quota settings

Microsoft Windows graphic

To view disk quota settings

  1. Open My Computer.
  2. Right-click the disk volume for which you want to view disk quota settings, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.

Notes

  • XOX
  • XOX
  • XOX

Related Topics


Enable disk quotas

Microsoft Windows graphic

To enable disk quotas

  1. Open My Computer.
  2. Right-click the disk volume for which you want to enable disk quotas, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, click the Enable quota management check box.
  5. Select one or more of the following options, and then click OK:

    6. Deny disk space to users exceeding quota limit

    Users who exceed their quota limit receive an "insufficient disk space" error from Windows and cannot write additional data to the volume without first deleting or moving some existing files from it.

    Individual programs determine their own error handling for this condition. To the program, it appears that the volume is full. If you clear this check box, users can exceed their quota limit. Enabling quotas and not limiting disk space use are useful when you do not want to deny users access to a volume but want to track disk space use on a per-user basis. You can also specify whether or not to log an event when users exceed either their quota warning level or their quota limit.

    Limit disk space to

    Enter the amount of disk space that new users of the volume are allowed to use and the amount of disk space that has to be used before an event is written to the system log. Administrators can view these events in Event Viewer. You can use decimal values (for example, 20.5) For the disk space and warning levels, select the appropriate units from the drop-down list (for example, KB, MB, GB). For more information about Event Viewer, see Related Topics.

    Log event when a user exceeds their quota limit

    If quotas are enabled, an event is written to the system log on the local computer whenever users exceed their quota limit. Administrators can view these events in Event Viewer, filtering for disk event types.

    By default, quota events are written hourly to the system log on the local computer. You can change the interval at which quota events are written to the system log on the local computer using the fsutil behavior command. For more information about Event Viewer or the fsutil behavior command, see Related Topics.

    Log event when a user exceeds their warning level

    If quotas are enabled, an event is written to the system log on the local computer whenever users exceed their quota warning level. Administrators can view these events in Event Viewer, filtering for disk event types.

    By default, quota events are written hourly to the system log on the local computer. You can change the interval at which quota events are written to the system log on the local computer using the fsutil behavior command. For more information about Event Viewer or the fsutil behavior command, see Related Topics.

Notes

  • XOX
  • XOX
  • XOX
  • Event Viewer builds a historical, chronological record of which users exceeded their quota warning level and quota limits, and when they exceeded them. However, it does not provide information about which users are currently over their quota warning level. To find that information, click the Quota Entries button.

Related Topics


Disable disk quotas

Microsoft Windows graphic

To disable disk quotas

  1. Open My Computer.
  2. Right-click the disk volume for which you want to disable disk quotas, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, clear the Enable quota management check box, and then click OK.

Notes

  • XOX
  • XOX
  • XOX

Related Topics


Deny disk space to users who exceed their limit

Microsoft Windows graphic

To deny disk space to users who exceed their limit

  1. Open My Computer.
  2. Right-click the volume for which you want to deny disk space use, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, select the Enable quota management check box, select the Deny disk space to users exceeding quota limit check box, and then click OK.

Notes

  • XOX
  • XOX
  • XOX
  • When the disk quota system is configured to deny disk space to users of the volume who exceed their assigned quota limit, users cannot write additional data to the volume without first deleting or moving some existing files from the volume. The response of the system to a user exceeding the quota limit depends on each individual program. To the program, it will appear that the volume is full.

Related Topics


Assign default quota values

Microsoft Windows graphic

To assign default quota values

Using the Windows interface

  1. Open My Computer.
  2. Right-click the volume for which you want to assign default quota values, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, select the Enable quota management check box, and then select the Limit disk space to option.
  5. Type numeric values for the disk space limit and warning levels, select the appropriate units from the drop-down lists, and then click OK.

    You can use decimal values (for example, 20.5 MB).

Notes

  • XOX
  • XOX
  • XOX
  • When you enable disk quotas on a volume, any users with write access to the volume who have not exceeded their quota limit can store data on the volume. The first time a user writes data to a quota-enabled volume, default values for disk space limit and warning level are automatically assigned by the quota system.

Using a command line

  1. Open Command Prompt.
  2. Type:

    fsutil quota modify [VolumePathname] [threshold] [limit] [username]

Value | Description
VolumePathname | The drive letter (followed by a colon), mount point, or volume name. The volume name is of the form \\?\Volume{GUID}\, where {GUID} is a globally unique identifier (GUID) (for example, \\?\Volume\{2eca078d-5cbc-43d3-aff8-7e8511f60d0e}\).
threshold | The limit, in bytes, at which warnings are issued.
limit | The maximum allowed disk usage, in bytes.
username | The domain and user name of the user whose disk usage you want to limit.

Notes

  • XOX
  • XOX
  • In order to assign default quota values, the volume must be formatted with the NTFS file system.
  • For more information about fsutil, see Related Topics.

Related Topics


Manage disk quotas on a remote computer

Microsoft Windows graphic

To manage disk quotas on a remote computer

  1. Right-click My Computer, and then click Map Network Drive.
  2. In the Map Network Drive dialog box, in the Folder box, type the path to the volume on the remote computer for which you want to manage disk quotas, and then click Finish.
  3. After you connect to the remote computer's volume, open My Computer.
  4. Right-click the remote volume for which you want to manage disk quotas, and then click Properties.
  5. In the Properties dialog box, click the Quota tab.
  6. On the Quota tab, click Quota Entries.

    7. The Quota Entries window appears. Each row in the list contains information for a user of the volume.

Notes

  • XOX
  • XOX
  • XOX
  • To manage disk quotas on a remote computer volume, you must create a share from the remote volume's root directory and you must be a member of the Administrators group on the remote computer.

Related Topics


Manage disk quota entries

  • View disk quota information for volume users
  • Add new quota entries
  • Delete quota entries
  • Modify user disk space limits and warning levels
  • Find a quota entry in the Quota Entries window
  • Sort quota entries
  • Change column order in the Quota Entries window
  • Create quota reports
  • Import quota settings from another volume
  • Export quota settings to another volume


View disk quota information for volume users

Microsoft Windows graphic

To view disk quota information for volume users

Using the Windows interface

  1. Open My Computer.
  2. Right-click the volume for which you want to view quota information, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, click Quota Entries.

    5. The Quota Entries window appears. Each row contains information for a volume user.

Notes

  • XOX
  • XOX
  • XOX
  • When the Quota Entries window is first opened, volume quota information must be obtained from the network domain controller. This information is filled in dynamically as it is obtained, and then it is saved so that it is immediately available the next time the Quota Entries window is opened.

Using a command line

  1. Open Command Prompt.
  2. Type:

    fsutil quota query [volumepathname]

Value | Description
volumepathname | The drive letter for the volume, for example, C:

Notes

  • XOX
  • XOX
  • In order to view quota information, the volume must be formatted with the NTFS file system.
  • For more information about fsutil, see Related Topics.

Related Topics


Add new quota entries

Microsoft Windows graphic

To add new quota entries

Using the Windows interface

  1. Open My Computer.
  2. Right-click the volume for which you want to add new disk quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, click Quota Entries.
  5. In the Quota Entries window, on the Quota menu, click New Quota Entry.
  6. In the Select Users dialog box, in the Enter the object names to select text box, type the domain or workgroup name, followed by a back slash and the user name of the user for which you want to impose quotas. Click OK.
  7. In the Add New Quota Entry dialog box, specify one of the following options and then click OK:

    8. Do not limit disk usage. Tracks disk space usage without limiting disk space.

    Limit disk space to. Activates fields for limiting disk space and setting warning levels. Type a numeric value in the text field, and then select a disk space limit unit from the drop-down list. You can use decimal values (for example, 20.5 MB).

Notes

  • XOX
  • XOX
  • XOX
  • You use the New Quota Entry feature to set up quota limits and warning levels before the user actually writes data to the volume. This is useful when you do not want to use the default disk space limit and warning level values for a particular user. Typically, the default disk space limit and warning level values established by the volume administrator are sufficient for new users of the volume.

Using a command line

  1. Open Command Prompt.
  2. Type:

    fsutil quota modify [VolumePathname] [threshold] [limit] [domain\username]

Value | Description
VolumePathname | The drive letter (followed by a colon), mount point, or volume name. The volume name is of the form \\?\Volume{GUID}\, where {GUID} is a globally unique identifier (GUID) (for example, \\?\Volume\{2eca078d-5cbc-43d3-aff8-7e8511f60d0e}\).
threshold | The limit, in bytes, at which warnings are issued.
limit | The maximum allowed disk usage, in bytes.
domain\username | The domain and user name of the user whose disk usage you want to limit.

Notes

  • XOX
  • XOX
  • In order to add new quota entries, the volume must be formatted with the NTFS file system.
  • For more information about fsutil, see Related Topics.

Related Topics


Delete quota entries

Microsoft Windows graphic

To delete quota entries

  1. Open My Computer.
  2. Right-click the volume for which you want to delete quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, click Quota Entries.
  5. In the Quota Entries window, click the entries for the users you want to delete, and then on the Quota menu, click Delete Quota Entry.
  6. If the Disk Quota dialog box appears, click Yes, click the files or folders that you want to take action on, click one of the following buttons, and then click Close.
    7. Delete
    Deletes selected files from the volume. You cannot delete folders.
    Take ownership
    Gives you ownership of the selected files or folders on the volume.
    Move
    Moves selected files to a specified volume. You cannot move folders.

Notes

  • XOX
  • XOX
  • XOX
  • You can filter the files and folders list to show only files or only folders using the Show folders only and Show files only check boxes. When working with large numbers of files and folders, it is best to first delete, take ownership, or move files, and then to take ownership of folders.
  • User quota entries cannot be deleted if a user still owns files or folders on the volume. Before the record can be deleted, all files owned by that user on the volume must either be deleted or moved to another volume, or you must take ownership of the files and folders.
  • You are prompted to delete or move files, or take ownership of files and folders, only if the user still has files or folders on the volume at the time that you want to delete the quota entry.

Related Topics


Modify user disk space limits and warning levels

Microsoft Windows graphic

To modify user disk space limits and warning levels

Using the Windows interface

  1. Open My Computer.
  2. Right-click the volume for which you want to modify quota values, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, click Quota Entries.
  5. In the Quota Entries window, click the entries for the users whose options you want to modify, and on the Quota menu, click Properties.
  6. In the Quota Settings dialog box, modify any of the following options you want to change, and then click OK:

    7. Do not limit disk usage. Click to track disk space usage without limiting disk space.

    Limit disk space to. Activates fields for limiting disk space and setting warning levels. Type a numeric value in the text field, and select a disk space limit unit from the drop-down list. You can use decimal values (for example, 20.5 MB).

Notes

  • XOX
  • XOX
  • XOX

Using a command line

  1. Open Command Prompt.
  2. Type:

    fsutil quota modify [VolumePathname] [threshold] [limit] [domain\username]

Value | Description
VolumePathname | The drive letter (followed by a colon), mount point, or volume name. The volume name is of the form \\?\Volume{GUID}\, where {GUID} is a globally unique identifier (GUID) (for example, \\?\Volume\{2eca078d-5cbc-43d3-aff8-7e8511f60d0e}\).
threshold | The limit, in bytes, at which warnings are issued.
limit | The maximum allowed disk usage, in bytes.
domain\username | The domain and user name of the user whose disk usage you want to limit.

Notes

  • XOX
  • XOX
  • In order to set user disk space limits and warning levels, the volume must be formatted with the NTFS file system.
  • For more information about fsutil, see Related Topics.

Related Topics


Find a quota entry in the Quota Entries window

Microsoft Windows graphic

To find a quota entry in the Quota Entries window

  1. Open My Computer.
  2. Right-click the volume for which you want to find quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, click Quota Entries.
  5. In the Quota Entries window, on the Edit menu, click Find.
  6. In the Find Quota Entry dialog box, enter the user name that you want to find as either domain_name\user_name or user_name@domain_name, and then click OK.

    7. Found entries appear highlighted in the Quota Entries window.

Notes

  • XOX
  • XOX
  • XOX
  • You can find more than one volume user by repeatedly using the Find Quota Entry dialog box. Each found entry remains highlighted in the Quota Entries window.
  • After you have used the Find Quota Entry dialog box to find one or more user quota entries, you can modify the settings for all of the found entries by clicking Properties on the Quota menu.

Related Topics


Sort quota entries

Microsoft Windows graphic

To sort quota entries

  1. Open My Computer.
  2. Right-click the volume for which you want to sort quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, click Quota Entries.
  5. In the Quota Entries window, on the View menu, click Arrange Items, and then click one of the following options:
    6. By Folder
    Sorts according to folder.
    By User Name
    Sorts according to the full name.
    By Logon Name
    Sorts according to logon name.
    By Status
    Sorts according to quota status.
    By Amount Used
    Sorts according to the amount of space the users have used on the volume.
    By Quota Limit
    Sorts according to disk space limits.
    By Warning Level
    Sorts according to warning levels.
    By Percent Used
    Sorts according to the percentage of disk space limit used.

Notes

  • XOX
  • XOX
  • XOX
  • You can click a column's title in the Quota Entries window to sort based on the entries in that column. To reverse the order, click the column title again.

Related Topics


Change column order in the Quota Entries window

Microsoft Windows graphic

To change column order in the Quota Entries window

  1. Open My Computer.
  2. Right-click the volume for which you want to view quota entries, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, click Quota Entries.
  5. In the Quota Entries window, click the column header you want to move, and then drag it horizontally to a new position in the list.

Notes

  • XOX
  • XOX
  • XOX
  • When the Quota Entries window is closed, the ordering and size of the columns are saved and automatically restored the next time the window is opened.
Related Topics


Create quota reports

Microsoft Windows graphic

To create quota reports

  1. Open My Computer.
  2. Right-click the volume for which you want to create a report, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, click Quota Entries.
  5. While the Quota Entries window is open, open a document in the program that you will use to create the report; for example, a Microsoft Excel spreadsheet.
  6. In the Quota Entries window, click the entries for the users you want to include in your quota report, and drag the rows to the program you are using to create the report; for example, you can drag the objects to a Microsoft Excel spreadsheet or a Microsoft Word document. The transferred data retains the same column and entry order as in the Quota Entries window.

Notes

  • XOX
  • XOX
  • XOX
  • The supported Clipboard formats for reports are: Rich Text Format, Comma Separated Value, CF_UNICODETEXT, and CF_TEXT.

Related Topics


Import quota settings from another volume

Microsoft Windows graphic

To import quota settings from another volume

  1. Open My Computer.
  2. Right-click the volume to which you want to import quota settings, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, click Quota Entries.
  5. In the Quota Entries window, on the Quota menu, click Import.
  6. In the Import Quota Settings dialog box, select the name of the file that contains the quota settings you want to import, and then click Open.

    7. When you are importing quota records, a dialog box appears if imported settings will overwrite existing settings for a volume user. Specify whether you want to overwrite the existing user settings.

Notes

  • XOX
  • XOX
  • XOX
  • You can open two instances of the Quota Entries window: one for the volume from which you are importing the quota records, and one for the volume into which you want to import quota records. Then you can drag quota records from the source volume's Quota Entries window to the destination volume's Quota Entries window.
  • For entries that already exist on the destination volume, the settings transferred are the user's disk space limit and quota warning level values. If the entries do not exist, new entries are created.
  • Disk quota settings are saved in a file format that is exclusive to the Disk Quotas utility and that is used only for importing and exporting quota settings from one volume to another. The Import Quota Settings dialog box does not show the file name extension for the settings file, even if the folder that contains it shows file name extensions for all files.

Related Topics


Export quota settings to another volume

Microsoft Windows graphic

To export quota settings to another volume

  1. Open My Computer.
  2. Right-click the volume from which you want to export quota settings, and then click Properties.
  3. In the Properties dialog box, click the Quota tab.
  4. On the Quota tab, make sure the Enable quota management check box is selected, and then click Quota Entries.
  5. Click the user quota records you want to export.
  6. On the Quota menu, click Export.
  7. In the Export Quota Settings dialog box, specify a destination folder, type the file name for the saved settings, and then click Save.

Notes

  • XOX
  • XOX
  • XOX
  • Alternatively, you can open two instances of the Quota Entries window: one for the source disk volume from which you want to export quota records, and one for the destination volume into which you are exporting the quota records. Then you can drag quota records from the source volume's Quota Entries window to the destination volume's Quota Entries window.
  • For entries that already exist on the destination volume, the settings transferred are the user's disk space limit and quota warning level values. If the entries do not exist, new entries are created.
  • Disk quota settings are saved in a file format that is exclusive to the Disk Quotas utility and that is used only for importing and exporting quota settings from one volume to another. The Export Quota Settings dialog box does not reveal the file name extension for the settings file, even if the folder that contains it shows file name extensions for all files.
  • You can drag a selected quota setting to a folder where an export file is automatically created.

Related Topics


Concepts

This section provides general background information about disk quotas:

  • Disk quotas overview
  • Understanding disk quotas
  • Using disk quotas
  • Resources


Disk quotas overview

Disk quotas track and control disk space usage for NTFS volumes. Administrators can configure Windows to:

  • Prevent further disk space use and log an event when a user exceeds a specified disk space limit, that is, the amount of disk space a user is allowed to use.
  • Log an event when a user exceeds a specified disk space warning level, that is, the point at which a user is nearing his or her quota limit.

When you enable disk quotas, you can set two values: the disk quota limit and the disk quota warning level. For example, you can set a user's disk quota limit to 500 megabytes (MB), and the disk quota warning level to 450 MB. In this case, the user can store no more than 500 MB of files on the volume. If the user stores more than 450 MB of files on the volume, you can configure the disk quota system to log a system event. You must be a member of the Administrators group to administer quotas on a volume. For instructions on setting disk quota values, see To assign default quota values.

You can specify that users can exceed their quota limit. Enabling quotas and not limiting disk space use are useful when you do not want to deny users access to a volume but want to track disk space use on a per-user basis. You can also specify whether or not to log an event when users exceed either their quota limit or their quota warning level.

When you enable disk quotas for a volume, volume usage is automatically tracked for all users from that point on.

You can enable quotas on local volumes, network volumes, and removable drives as long as they are formatted with the NTFS file system. In addition, network volumes must be shared from the volume's root directory and removable drives must be shared. Volumes formatted with the version of NTFS used in Windows NT 4.0 are upgraded automatically by Windows Setup.

You cannot use file compression to prevent users from exceeding their quota limits because compressed files are tracked based on their uncompressed size. For example, if you have a 50 MB file that is 40 MB after it is compressed, Windows counts the file's original 50 MB size toward the quota limit.


Understanding disk quotas

This section covers:

  • Quotas and users
  • Quotas and volumes
  • Quota entry updates
  • Quotas and converted NTFS volumes
  • Local and remote implementation of disk quotas


Quotas and users

Because disk quotas monitor volume use by individual user, each user's utilization of disk space does not affect the disk quotas for other users of the same volume. For example, if Volume F has a quota limit of 500 megabytes (MB) and a user saves 500 megabytes (MB) worth of files to Volume F, that user cannot write additional data to the volume without first deleting or moving some existing files from it. However, each of the other users can continue to save up to 500 MB worth of files on that volume as long as there is sufficient free space.

Disk quotas are based on file ownership and are independent of the folder location of the user's files within the volume. For example, if users move their files from one folder to another on the same volume, their volume space usage does not change. However, if users copy their files to a different folder on the same volume, their volume space usage doubles. Or, if another user creates a 200 kilobyte (KB) file and you take ownership of that file, that user's disk use decreases by 200 KB and your disk use increases by 200 KB.

For instructions on enabling disk quotas, see To enable disk quotas.


Quotas and volumes

Disk quotas apply only to volumes and are independent of folder structures of volumes and their layout on physical disks.

If a volume has multiple folders, the quotas assigned to that volume apply equally to all of the folders. For example, if \\Production\QA and \\Production\Public are shared folders on Volume F, files stored by users in these folders cannot use more disk space than the quota limit set for Volume F.

If a single physical disk contains multiple volumes, and you apply quotas to each of the volumes, each volume quota applies only to its specific volume. For example, if you share two different volumes as Volume F and Volume G, quotas are tracked independently for the two volumes, even if they exist on the same physical disk.

If a volume spans multiple physical disks, the same quota for that volume applies to the entire spanned volume. For example, if Volume F has a quota limit of 500 megabytes (MB), then users cannot save more than 500 MB to Volume F, regardless of whether Volume F resides on one physical disk or whether it spans three.

For instructions on enabling disk quotas, see To enable disk quotas.


Quota entry updates

Within the NTFS file system, volume usage information is stored by user security ID (SID), not user account name. When the Quota Entries window is opened for the first time, disk quotas must obtain user account names from either the network domain controller or Local Users and Groups, match them to the SIDs for current volume users, and populate the entries in the Name column with user names. These names appear in this field as they are obtained from the domain controller or Local Users and Groups. This process begins immediately the first time you view quota entries.

After the names have been obtained, they are saved to cache files in the DiskQuota folder in the user's Application Data directory (\Application Data\Microsoft\Windows NT\DiskQuota) so that they are immediately available the next time the Quota Entries window is opened. However, because these cache files might go several days without being updated by Windows, the Quota Entries window might not reflect changes you have made to the domain's user accounts list since viewing quota entries.

To obtain current user names, press F5. Windows then refreshes the user names for each user from the network domain controller or Local Users and Groups. Depending on the number of volume users and the current network speed, this process could take a few minutes. During this process, if you want to see a particular user's name more quickly, you can select that entry to move it to the top of the list.

For instructions, see To view disk quota information for volume users.


Quotas and converted NTFS volumes

Disk quotas work with all NTFS volumes on computers running the Windows 2000, the XOX, or the Windows Server 2003 family of operating systems. However, files on volumes that have been converted from FAT or FAT32 to NTFS automatically belong to the administrator, and so quota on these files are charged against the administrator account. This is seldom a problem because administrators have unlimited volume use. This issue only applies to files that existed before conversion to NTFS; files created after conversion belong to the appropriate user.

Because disk quotas are based on file ownership, any changes to a volume that affect ownership status of the files on it, including file system conversion, might affect disk quotas for the volume. Therefore, you should understand the changes to ownership that the conversion might cause before converting existing volumes from one file system to another. For more information about file ownership issues, see Deleting disk quota entries.

For more information about file system compatibility and limitations, see Choosing a filesystem: NTFS, FAT, or FAT32.


Local and remote implementation of disk quotas

You can enable disk quotas on NTFS volumes residing on both local computers and remote computers. You can use quotas to limit the amount of volume space available to different users who log on to the local computer and limit volume usage by remote users.

You can use quotas to make sure that:

  • Multiple users who log on to the same computer do not interfere with the other users' ability to work.
  • Disk space on public servers is not monopolized by one or more users.
  • Users do not use excessive disk space on a shared folder on your personal computer.

To enable quotas on remote computer volumes, those volumes must be shared from the volume's root directory and you must be a member of the Administrators group on the remote computer. In addition, those volumes must be formatted NTFS and exist on a computer running Windows 2000, XOX, or the Windows Server 2003 family of operating systems. For instructions describing how to enable quotas on remote computers, see To manage disk quotas on a remote computer.

When you implement disk quotas on a system volume, take into account the disk space used by the Windows files. Depending on the free space available on the volume, you might have to set either a high quota limit or no limit at all for the user who installed Windows. If Windows was installed by an administrator, you do not need to do this because administrators and members of the Administrators group have an unlimited quota limit.

For instructions describing how to enable quotas, see To enable disk quotas.


Using disk quotas

This section covers:

  • Enabling disk quotas
  • Deleting disk quota entries
  • Tracking disk space use
  • Managing disk quotas from the command line


Enabling disk quotas

If you are a member of the Administrators group, you can enable quotas on NTFS volumes. On volumes that already contain files, Windows calculates the disk space used by all users who have copied, saved, or taken ownership of files on the volume up to that point. The quota limit and warning level are then applied to all current users based on those calculations, and to users who begin using the volume from that point on. You can then set different quotas, or disable quotas, for individual or multiple users. You can also set quotas for specific users who have not yet copied, saved, or taken ownership of files on the volume.

For example, if \\Production\Public is shared from the root directory of an NTFS volume, you might want to set a quota limit of 50 megabytes (MB) for all users of \\Production\Public, while making sure two users who work with larger files on the server have a 100 MB limit. If both of these users already have files stored on \\Production\Public, you can select both users and set their quota limit to 100 MB. However, if one or both users do not have files stored on the server when you enable quotas, you need to select the users in the Quota Entries window and then set their quota limit to a value higher than the default for new users.

For instructions about enabling disk quotas, see To enable disk quotas. For instructions describing how to enable quotas on remote computers, see To manage disk quotas on a remote computer.


Deleting disk quota entries

When a user no longer needs to use a volume on which quotas are enabled, you can eliminate that user's warning level and quota limit by deleting his or her entry from the Quota Entries window. However, you can do so only after all of the volume files owned by that user have either been deleted or removed from the volume, or after another user has taken ownership of the files.

Because disk quotas track files by owner, locating these files and then moving, deleting, or taking ownership of them is made simple with a dialog box that appears when you delete a quota entry. For instructions describing how to delete quota entries, see To delete quota entries.

For instructions describing how to take ownership of a file, see To take ownership of a file or folder.


Tracking disk space use

You can specify a disk quota limit without denying users further disk space use. This is useful when you do not want to deny users access to a volume, but want to track disk space use on a per-user basis. You can also specify whether to log an event when users exceed either their quota warning level or their quota limit. Tracking disk space use is helpful if you want to:

  • Keep historical records of disk space use.
  • Show additional disk space needs.
  • Show distribution of disk space on a per-user basis.
  • Notify users when they exceed their allotted disk space.

For instructions on documenting disk space use, see To create quota reports.


Managing disk quotas from the command line

In addition to using My Computer to manage disk quotas (right-click a volume, click Properties, and then click the Quota tab), you can use the fsutil command-line utility to manage disks and volumes.

Important

  • Fsutil is an advanced tool that is only intended to be used by advanced users who have a thorough understanding of Windows.

You can use:

  • Fsutil quota to create and modify disk quotas for a specific user, query disk quotas for a specific volume, search the system log for any quota violations, or to perform these tasks using scripts.
  • Fsutil behavior to change how often quota events are written to the system log.

For information about other command-line utilities, see Command-line reference.


Resources

  • You can learn more about Disk Quotas in "File Systems" at the Microsoft Windows Resource Kits Web site (http://www.microsoft.com/). The Microsoft Windows Resource Kits provide information technology professionals with the technical information and tools they need to successfully deploy, manage, and support Windows operating systems.


Troubleshooting

What problem are you having?

The Quota tab does not appear on the Properties dialog box.

Cause: Disk quotas can only be set by members of the Administrators group on volumes formatted with the NTFS file system. Therefore, the Quota tab does not appear if you are not a member of the Administrators group, if the volume is not shared from the volume's root directory, or if the volume is not formatted with NTFS.

Solution: If you want to track or limit disk space usage, ensure that you are a member of the Administrators group, that the volume is shared from the volume's root directory, and that the volume is formatted with NTFS.

See also Quotas and converted NTFS volumes.

Cannot delete a quota entry.

Cause: You cannot delete a quota entry for a user account until all files that the user owns have been removed from the volume or another user has taken ownership of the files.

Solution: Move, delete, or take ownership of all files that the user owns on that volume.

See also To delete quota entries.

A user gets an "insufficient disk space" message when trying to add files to a volume.

Cause: The user has exceeded the quota limit.

Solution: Increase the user's quota limit, move or delete files from the volume, or clear the Deny disk space to users exceeding quota limit check box in Disk Quotas.

See also To enable disk quotas.

Users exceeded their quota limits when Windows NT 4.0 was running.

Cause: Disk quotas work under the Windows 2000, the XOX, and the Windows Server 2003 families of operating systems only. For example, if you set disk quota limits on a computer that is configured to run both Windows NT 4.0 and XOX, users can exceed their quota limit while Windows NT 4.0 is running. If this happens, the next time that XOX, is started, users who have exceeded their quota limit while Windows NT 4.0 was running cannot add files to the volume to which the quota is applied.

Solution: To enable users to add more files to the volume while XOX, is running, see the previous issue. To prevent users from exceeding their quota limit on a volume under Windows NT 4.0, change permissions on the volume so that users do not have Write permission.

See also File and folder permissions.

Quota entries appear to be outdated.

Cause: The Enable quota management check box on the Quota tab for the volume is not selected. Windows retains any pre-existing quota information but cannot update it unless quotas are enabled.

Solution: Enable disk quotas. For instructions describing how to enable disk quotas, see To enable disk quotas.

Cannot enable quotas for a volume on a remote computer.

Solution: Establish a connection to the remote volume and then enable quotas. For instructions on how to establish a connection to a remote volume and manage quotas on that volume, see To manage disk quotas on a remote computer. For instructions on how to enable disk quotas, see To enable disk quotas.